<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>jsdoc</title>
    <meta name="generator" content="HTML Tidy for Linux (vers 25 March 2009), see www.w3.org" />
    <meta http-equiv="Content-Type" content="text/html; charset=us-ascii" />
    <title>Stable</title>
    <!-- Optional theme -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css"
        integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous"
        type="text/css" />
    <!-- Latest compiled and minified JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"
        type="text/javascript"></script>
    <style type="text/css">
        /*<![CDATA[*/
        /* Basic */
        @-ms-viewport {
            width: device-width;
        }
        body {
            -ms-overflow-style: scrollbar;
        }
        @media screen and (max-width: 480px) {
            html,
            body {
                min-width: 320px;
            }
        }
        html {
            box-sizing: border-box;
        }
        *,
        *:before,
        *:after {
            box-sizing: inherit;
        }
        body {
            background-color: whitesmoke;
        }
        body.is-preload *,
        body.is-preload *:before,
        body.is-preload *:after {
            -moz-animation: none !important;
            -webkit-animation: none !important;
            -ms-animation: none !important;
            animation: none !important;
            -moz-transition: none !important;
            -webkit-transition: none !important;
            -ms-transition: none !important;
            transition: none !important;
        }
        /* Type */
        html {
            font-size: 16pt;
        }
        @media screen and (max-width: 1680px) {
            html {
                font-size: 12pt;
            }
        }
        @media screen and (max-width: 1280px) {
            html {
                font-size: 11pt;
            }
        }
        @media screen and (max-width: 360px) {
            html {
                font-size: 10pt;
            }
        }
        body {
            color: #212931;
        }
        body,
        input,
        select,
        textarea {
            font-family: "Merriweather", Georgia, serif;
            font-weight: 300;
            font-size: 1rem;
            line-height: 2.375;
        }
        a {
            -moz-transition: color 0.2s ease-in-out, background-color 0.2s ease-in-out, border-color 0.2s ease-in-out, box-shadow 0.2s ease-in-out;
            -webkit-transition: color 0.2s ease-in-out, background-color 0.2s ease-in-out, border-color 0.2s ease-in-out, box-shadow 0.2s ease-in-out;
            -ms-transition: color 0.2s ease-in-out, background-color 0.2s ease-in-out, border-color 0.2s ease-in-out, box-shadow 0.2s ease-in-out;
            transition: color 0.2s ease-in-out, background-color 0.2s ease-in-out, border-color 0.2s ease-in-out, box-shadow 0.2s ease-in-out;
            border-bottom: dotted 1px;
            text-decoration: none;
        }
        a:hover {
            border-bottom-color: transparent;
        }
        @charset "UTF-8";
        @import url(https://fonts.googleapis.com/css?family=Open+Sans:300,400,700);
        HTML {
            font-size: medium;
            font-family: Garamond
        }
        BODY {
            background: black font-family: 'Open Sans', sans-serif;
            font-weight: 300;
            line-height: 1.42em;
            color: #A7A1AE;
            background-color: #1F2739;
        }
        h1 {
            font-size: 3em;
            font-weight: 300;
            line-height: 1em;
            text-align: left;
            color: #4DC3FA;
        }
        p {
            color: grey;
        }
        A {
            text-decoration: none color:black;
        }
        A:hover {
            color: red;
            background: whitesmoke;
            border-radius: 8px;
            padding-left: 3px;
            padding-right: 3px;
        }
        TABLE.fancy {
            background: #fffefe;
            border-left: 1px solid;
            border-collapse: collapse;
            margin: 25px 0;
            font-size: 0.9em;
            font-family: sans-serif;
            min-width: 400px;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
            border-top: 1px solid;
            border-bottom: 0px solid;
            border-color: #FFF;
            overflow-y: scroll;
            width: 80%;
            display: table;
            padding: 0 0 8em 0;
        }
        TABLE.fancy TD {
            border-right: 1px solid;
            border-bottom: 1px solid;
            border-color: #FFF;
            text-align: left;
            padding-right: 5px;
            padding-bottom: 2%;
            padding-top: 2%;
            padding-left: 2%;
            border: 4px solid gold !important;
            font-size: 16px;
            letter-spacing: 1px;
            font-weight: 700;
            line-height: 12px;
            text-decoration: none !important;
            text-transform: uppercase;
            background: #07122daf !important;
            color: black !important;
            cursor: pointer;
            justify-content: center;
            padding: 40px 60px;
            height: 55px;
            text-align: center;
            white-space: normal;
            border-radius: 10px;
            min-width: 20em;
            padding: .9em .9em 0;
            box-shadow: 0 0 5px;
            margin: 1em;
            -webkit-border-radius: 10px;
            -moz-border-radius: 10px;
            -ms-border-radius: 10px;
            -o-border-radius: 20px;
        }
        TABLE.fancy tr:nth-child(odd) {
            background-color: #323C50;
        }
        TABLE.fancy tr:nth-child(even) {
            background-color: #2C3446;
        }
        TABLE.fancy th {
            background-color: #1F2739;
        }
        TABLE.fancy td,
        TABLE.fancy th {
            padding-bottom: 2%;
            padding-top: 2%;
            padding-left: 2%;
        }
        TABLE.fancy tr:hover {
            background-color: #464A52;
            -webkit-box-shadow: 0 6px 6px -6px #0E1119;
            -moz-box-shadow: 0 6px 6px -6px #0E1119;
            box-shadow: 0 6px 6px -6px #0E1119;
        }
        TABLE.fancy td:hover {
            background-color: #FFF842;
            color: #403E10;
            font-weight: bold;
            box-shadow: #7F7C21 -1px 1px, #7F7C21 -2px 2px, #7F7C21 -3px 3px, #7F7C21 -4px 4px, #7F7C21 -5px 5px, #7F7C21 -6px 6px;
            transform: translate3d(6px, -6px, 0);
            transition-delay: 0s;
            transition-duration: 0.4s;
            transition-property: all;
            transition-timing-function: line;
        }
        @media (max-width: 800px) {
            TABLE.fancy td:nth-child(4),
            TABLE.fancy th:nth-child(4) {
                display: none;
            }
        }
        TABLE.fancy TD.no-right {
            border-right: 0px
        }
        TABLE.fancy TD.right {
            text-align: left
        }
        TABLE.fancy TD.left {
            text-align: center
        }
        TABLE.fancy a {
            color: yellow;
        }
        TABLE.fancy TH {
            border-right: 1px solid;
            border-bottom: 1px solid;
            text-align: left;
            background: black;
            color: #FFF;
            border-color: #FFF;
            font-weight: bold;
            padding: 12px 15px;
        }
        .anchor {
            font-weight: bold;
            border-top: 0px solid;
            text-align: left;
            border-bottom: 1px solid;
            background: black;
            color: #FFF
        }
        .dark-blue {
            font-weight: bold;
            border-top: 0px solid;
            text-align: left;
            border-bottom: 1px solid;
            background: black;
            color: #FFF
        }
        .no-top-border {
            border-top: 0px
        }
        .centered {
            margin: auto
        }
        .rZ {
            text-align: right
        }
        .row2 {
            background: #D3D3E1
        }
        /*]]>*/
    </style>
</head>

<body>

<table border="0" cellspacing="0" cellpadding="3" summary="file table" class="fancy centered">
<tr><td colspan="10" class="dark-blue" style="text-align: center"><b>Folders</b></td></tr>
<tr><td class="left"><a href="../right.html" target="rframe">&lt;parent&gt;</a></td><td class="left">&nbsp;<a href="src/right.html" target="rframe">src</a></td><td class="left">&nbsp;<a href="tag/right.html" target="rframe">tag</a></td><td class="left">&nbsp;<a href="util/right.html" target="rframe">util</a></td></tr>
</table>
<br>

<table border="0" cellspacing="0" cellpadding="3" summary="file table" class="fancy centered">
<tr><th><b>File</b></th><th><b>File</b></th><th><b>File</b></th><th><b>File</b></th><th><b>File</b></th><th><b>File</b></th></tr>
<tr><td class="left"><a href="right.html">right.html</a>&nbsp;</td><td class="left"><a href="borrow.js">borrow.js</a>&nbsp;</td><td class="left"><a href="package.js">package.js</a>&nbsp;</td><td class="left"><a href="schema.js">schema.js</a>&nbsp;</td><td class="left"><a href="tag.js">tag.js</a>&nbsp;</td><td class="left"><a href="template.js">template.js</a>&nbsp;</td></tr>
<tr class="row2"><td class="left"><a href="augment.js">augment.js</a>&nbsp;</td><td class="left"><a href="doclet.js">doclet.js</a>&nbsp;</td><td class="left"><a href="plugins.js">plugins.js</a>&nbsp;</td><td class="left"></td><td class="left"></td><td class="left"></td></tr>
</table>

<p style="font-weight: bold; margin-bottom: 0px">
Folders:  4<br>
Files: 9<br>
Size of all files: 47158 K</p>

</body>
</html>